# Calculate a CFS Executes a calculation of the Calculated Fields Set (specified by id as a path parameter). Endpoint: POST /cfsmanager.calculate/{id} Security: basic, X-PriceFx-jwt ## Path parameters: - `id` (string, required) The id is the typedId without the type suffix. For example, the id attribute of the item with typedId = 2147484837.PL is 2147484837. ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.data` (array) - `response.data.version` (number) - `response.data.typedId` (string) - `response.data.processingNode` (any) - `response.data.threadId` (any) - `response.data.threadUUID` (any) - `response.data.status` (string) - `response.data.trackerType` (string) - `response.data.targetObject` (string) - `response.data.jobName` (string) - `response.data.concurrencyKey` (string) - `response.data.calculationContext` (any) - `response.data.progress` (any) - `response.data.cancelRequested` (boolean) - `response.data.runNumber` (number) - `response.data.priority` (number) - `response.data.messages` (any) - `response.data.jobSettings` (object) - `response.data.jobSettings.distributedAction` (any) - `response.data.jobSettings.jobType` (string) - `response.data.jobSettings.uuid` (string) - `response.data.jobSettings.calculableObjectTypedId` (string) - `response.data.jobSettings.queueName` (any) - `response.data.jobSettings.partitionName` (string) - `response.data.jobSettings.partitionUUID` (string) - `response.data.jobSettings.enableDirtyTracking` (boolean) - `response.data.jobSettings.agentOption1` (boolean) - `response.data.jobSettings.jobSize` (number) - `response.data.jobSettings.distributed` (boolean) - `response.data.createDate` (string) - `response.data.createdBy` (number) - `response.data.lastUpdateDate` (string) - `response.data.lastUpdateBy` (number) - `response.data.calculationResults` (any) - `response.data.processingStart` (any) - `response.data.processingEnd` (any) - `response.data.id` (number)